<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:46 CET 2016 -->
<title>PaymentInTab (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PaymentInTab (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInLinesTab.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions.paymentin"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInWindow.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions.paymentin"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInTab.html" target="_top">Frames</a></li>
<li><a href="PaymentInTab.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.openbravo.test.integration.erp.modules.client.application.gui.GeneratedTab">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions.paymentin</div>
<h2 title="Class PaymentInTab" class="title">Class PaymentInTab</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">com.openbravo.test.integration.erp.modules.client.application.gui.GeneratedTab</a>&lt;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/paymentin/PaymentInHeaderData.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.paymentin">PaymentInHeaderData</a>&gt;</li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions.paymentin.PaymentInTab</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">PaymentInTab</span>
extends <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">GeneratedTab</a>&lt;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/paymentin/PaymentInHeaderData.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.paymentin">PaymentInHeaderData</a>&gt;</pre>
<div class="block">Executes and verifies actions on OpenbravoERP Payment In tab.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>elopio</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.openbravo.test.integration.erp.modules.client.application.gui.GeneratedTab">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.openbravo.test.integration.erp.modules.client.application.gui.<a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">GeneratedTab</a></h3>
<code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#childrenTabSet">childrenTabSet</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#identifier">identifier</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#loadingPopUp">loadingPopUp</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#standardView">standardView</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#title">title</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInTab.html#PaymentInTab--">PaymentInTab</a></span>()</code>
<div class="block">Class constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInTab.html#addPaymentIn-java.lang.String-java.lang.String-java.lang.String-">addPaymentIn</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;transactionType,
            <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;documentNumber,
            <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;action)</code>
<div class="block">Add payment in details.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/AddPaymentProcess.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions">AddPaymentProcess</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInTab.html#addPaymentInOpen--">addPaymentInOpen</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInTab.html#assertAddPaymentDisplayLogicEnabled-com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.AddPaymentDisplayLogic-">assertAddPaymentDisplayLogicEnabled</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/AddPaymentDisplayLogic.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions">AddPaymentDisplayLogic</a>&nbsp;enabledDisplayLogic)</code>
<div class="block">Assert display logic from AddPayment Pop up</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInTab.html#assertAddPaymentDisplayLogicExpanded-com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.AddPaymentDisplayLogic-">assertAddPaymentDisplayLogicExpanded</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/AddPaymentDisplayLogic.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions">AddPaymentDisplayLogic</a>&nbsp;expandedDisplayLogic)</code>
<div class="block">Assert display logic from AddPayment Pop up</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInTab.html#assertAddPaymentDisplayLogicVisible-com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.AddPaymentDisplayLogic-">assertAddPaymentDisplayLogicVisible</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/AddPaymentDisplayLogic.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions">AddPaymentDisplayLogic</a>&nbsp;visibleDisplayLogic)</code>
<div class="block">Assert display logic from AddPayment Pop up</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInTab.html#assertAddPaymentInData-java.lang.String-java.lang.String-java.lang.String-">assertAddPaymentInData</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;payingTo,
                      <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;amount,
                      <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;transactionType)</code>
<div class="block">Assert the data of the add payment in popup.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInTab.html#assertFinancialAccountAndPaymentMethodInactive-java.lang.String-java.lang.String-">assertFinancialAccountAndPaymentMethodInactive</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;financialAccount,
                                              <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;paymentMethod)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInTab.html#assertFinancialAccountInactive-java.lang.String-">assertFinancialAccountInactive</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;financialAccount)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInTab.html#assertPaymentCreatedSuccessfully--">assertPaymentCreatedSuccessfully</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInTab.html#assertPaymentMethodInactive-java.lang.String-">assertPaymentMethodInactive</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;paymentMethod)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInTab.html#assertRefundedPaymentCreatedSuccessfully--">assertRefundedPaymentCreatedSuccessfully</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInTab.html#execute--">execute</a></span>()</code>
<div class="block">Execute a Payment In.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInTab.html#process-java.lang.String-">process</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;action)</code>
<div class="block">Process a Payment In.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInTab.html#reverse-java.lang.String-java.lang.String-">reverse</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;action,
       <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;date)</code>
<div class="block">Reverse a Payment In.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.openbravo.test.integration.erp.modules.client.application.gui.GeneratedTab">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.openbravo.test.integration.erp.modules.client.application.gui.<a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">GeneratedTab</a></h3>
<code><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#addChildTab-com.openbravo.test.integration.erp.modules.client.application.gui.GeneratedTab-">addChildTab</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#assertCount-int-">assertCount</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#assertData-T-">assertData</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#assertDisplayLogicEnabled-com.openbravo.test.integration.erp.data.DataObject-">assertDisplayLogicEnabled</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#assertDisplayLogicExpanded-com.openbravo.test.integration.erp.data.DataObject-">assertDisplayLogicExpanded</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#assertDisplayLogicVisible-com.openbravo.test.integration.erp.data.DataObject-">assertDisplayLogicVisible</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#assertErrorFieldsContainIllegalValues--">assertErrorFieldsContainIllegalValues</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#assertFilterValue-java.lang.String-java.lang.Object-">assertFilterValue</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#assertInEditMode--">assertInEditMode</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#assertNewMode--">assertNewMode</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#assertNotInEditMode--">assertNotInEditMode</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#assertProcessCompletedSuccessfully--">assertProcessCompletedSuccessfully</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#assertProcessCompletedSuccessfully-java.lang.String-">assertProcessCompletedSuccessfully</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#assertProcessCompletedSuccessfully2--">assertProcessCompletedSuccessfully2</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#assertProcessCompletedSuccessfully2-java.lang.String-">assertProcessCompletedSuccessfully2</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#assertProcessCompletedSuccessfullyContentMatch-java.lang.String-">assertProcessCompletedSuccessfullyContentMatch</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#assertSaveButtonIsDisabled--">assertSaveButtonIsDisabled</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#assertSaved--">assertSaved</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#cancelOnGrid--">cancelOnGrid</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#cancelOnGridWithShortcut--">cancelOnGridWithShortcut</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#clearFilters--">clearFilters</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#clickCreateNewInForm--">clickCreateNewInForm</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#clickCreateNewInFormNoWait--">clickCreateNewInFormNoWait</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#clickInsertRow--">clickInsertRow</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#closeForm--">closeForm</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#closeMessageIfVisible--">closeMessageIfVisible</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#confirmDeletion--">confirmDeletion</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#createOnForm-T-">createOnForm</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#createOnFormNoWait-T-">createOnFormNoWait</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#createOnFormWithoutSaving-T-">createOnFormWithoutSaving</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#createOnGrid-T-">createOnGrid</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#createOnGridAndSave-T-">createOnGridAndSave</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#createOnGridWithContextualMenu-T-">createOnGridWithContextualMenu</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#createOnGridWithShortcut-T-">createOnGridWithShortcut</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#createRecord-T-">createRecord</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#createRecordNoWait-T-">createRecordNoWait</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#deleteMultipleRecordsMultipleCheckboxesOnGrid-int:A-">deleteMultipleRecordsMultipleCheckboxesOnGrid</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#deleteMultipleRecordsOneCheckboxOnGrid--">deleteMultipleRecordsOneCheckboxOnGrid</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#deleteOnGrid--">deleteOnGrid</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#deleteOnGridUsingContextualMenu--">deleteOnGridUsingContextualMenu</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#deleteOnGridWithShortcut--">deleteOnGridWithShortcut</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#editAndCancelOnGrid-T-">editAndCancelOnGrid</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#editAndCancelWithShortcutOnGrid-T-">editAndCancelWithShortcutOnGrid</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#editOnForm-T-">editOnForm</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#editOnGrid-T-">editOnGrid</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#editOnGridUsingContextualMenu-T-">editOnGridUsingContextualMenu</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#editRecord-T-">editRecord</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#fillForm-T-">fillForm</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#fillRow-T-">fillRow</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#filter-T-">filter</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#getChildrenTabs--">getChildrenTabs</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#getData--">getData</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#getData-java.lang.String-">getData</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#getField-java.lang.String-boolean-">getField</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#getForm--">getForm</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#getIdentifier--">getIdentifier</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#getLevel--">getLevel</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#getMessageContents--">getMessageContents</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#getParentTab--">getParentTab</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#getRecordCount--">getRecordCount</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#getSelectedChildTab--">getSelectedChildTab</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#getTitle--">getTitle</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#isOnFormView--">isOnFormView</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#isOnGridView--">isOnGridView</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#isTopTab--">isTopTab</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#loadParameterWindow--">loadParameterWindow</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#moveToNextRecordWhileEditingInGrid--">moveToNextRecordWhileEditingInGrid</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#open--">open</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#openFilterDropDown-java.lang.String-">openFilterDropDown</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#openFirstRecordInFormWithDoubleClick--">openFirstRecordInFormWithDoubleClick</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#openParameterWindow-java.lang.String-">openParameterWindow</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#pickRecordInFilterDropDown-java.lang.String-int-">pickRecordInFilterDropDown</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#refresh--">refresh</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#saveEdition--">saveEdition</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#select-T-">select</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#selectWithoutFiltering-int-">selectWithoutFiltering</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#startEditionOnGrid-int-">startEditionOnGrid</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#switchToGridView--">switchToGridView</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#unselectAll--">unselectAll</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#waitForDataToLoad--">waitForDataToLoad</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#waitUntilMessageVisible--">waitUntilMessageVisible</a>, <a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/GeneratedTab.html#waitUntilSelected--">waitUntilSelected</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PaymentInTab--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PaymentInTab</h4>
<pre>public&nbsp;PaymentInTab()</pre>
<div class="block">Class constructor.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="assertAddPaymentInData-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertAddPaymentInData</h4>
<pre>public&nbsp;void&nbsp;assertAddPaymentInData(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;payingTo,
                                   <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;amount,
                                   <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;transactionType)</pre>
<div class="block">Assert the data of the add payment in popup.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>payingTo</code> - The business partner that will be payed.</dd>
<dd><code>amount</code> - The amount of the payment.</dd>
<dd><code>transactionType</code> - The type of the transaction.</dd>
</dl>
</li>
</ul>
<a name="addPaymentIn-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addPaymentIn</h4>
<pre>public&nbsp;void&nbsp;addPaymentIn(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;transactionType,
                         <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;documentNumber,
                         <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;action)</pre>
<div class="block">Add payment in details.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>transactionType</code> - The type of the transaction.</dd>
<dd><code>documentNumber</code> - The number of the document.</dd>
<dd><code>action</code> - The process action to request after the payment.</dd>
</dl>
</li>
</ul>
<a name="process-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>process</h4>
<pre>public&nbsp;void&nbsp;process(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;action)</pre>
<div class="block">Process a Payment In.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>action</code> - The process action to request for the payment.</dd>
</dl>
</li>
</ul>
<a name="execute--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execute</h4>
<pre>public&nbsp;void&nbsp;execute()</pre>
<div class="block">Execute a Payment In.</div>
</li>
</ul>
<a name="reverse-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reverse</h4>
<pre>public&nbsp;void&nbsp;reverse(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;action,
                    <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;date)</pre>
<div class="block">Reverse a Payment In.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>action</code> - The reverse action to request for the payment.</dd>
<dd><code>date</code> - The reverse date to request for the payment.</dd>
</dl>
</li>
</ul>
<a name="assertAddPaymentDisplayLogicVisible-com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.AddPaymentDisplayLogic-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertAddPaymentDisplayLogicVisible</h4>
<pre>public&nbsp;void&nbsp;assertAddPaymentDisplayLogicVisible(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/AddPaymentDisplayLogic.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions">AddPaymentDisplayLogic</a>&nbsp;visibleDisplayLogic)</pre>
<div class="block">Assert display logic from AddPayment Pop up</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>visibleDisplayLogic</code> - AddPaymentDisplayLogic with the fields whose visibility has to be asserted.</dd>
</dl>
</li>
</ul>
<a name="assertAddPaymentDisplayLogicEnabled-com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.AddPaymentDisplayLogic-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertAddPaymentDisplayLogicEnabled</h4>
<pre>public&nbsp;void&nbsp;assertAddPaymentDisplayLogicEnabled(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/AddPaymentDisplayLogic.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions">AddPaymentDisplayLogic</a>&nbsp;enabledDisplayLogic)</pre>
<div class="block">Assert display logic from AddPayment Pop up</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabledDisplayLogic</code> - AddPaymentDisplayLogic with the fields whose enable status has to be asserted.</dd>
</dl>
</li>
</ul>
<a name="assertAddPaymentDisplayLogicExpanded-com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions.AddPaymentDisplayLogic-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertAddPaymentDisplayLogicExpanded</h4>
<pre>public&nbsp;void&nbsp;assertAddPaymentDisplayLogicExpanded(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/financial/receivablespayables/transactions/AddPaymentDisplayLogic.html" title="class in com.openbravo.test.integration.erp.data.financial.receivablespayables.transactions">AddPaymentDisplayLogic</a>&nbsp;expandedDisplayLogic)</pre>
<div class="block">Assert display logic from AddPayment Pop up</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>expandedDisplayLogic</code> - AddPaymentDisplayLogic with the fields whose enable status has to be asserted.</dd>
</dl>
</li>
</ul>
<a name="assertPaymentCreatedSuccessfully--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertPaymentCreatedSuccessfully</h4>
<pre>public&nbsp;void&nbsp;assertPaymentCreatedSuccessfully()</pre>
</li>
</ul>
<a name="assertRefundedPaymentCreatedSuccessfully--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertRefundedPaymentCreatedSuccessfully</h4>
<pre>public&nbsp;void&nbsp;assertRefundedPaymentCreatedSuccessfully()</pre>
</li>
</ul>
<a name="assertFinancialAccountInactive-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertFinancialAccountInactive</h4>
<pre>public&nbsp;void&nbsp;assertFinancialAccountInactive(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;financialAccount)</pre>
</li>
</ul>
<a name="assertPaymentMethodInactive-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertPaymentMethodInactive</h4>
<pre>public&nbsp;void&nbsp;assertPaymentMethodInactive(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;paymentMethod)</pre>
</li>
</ul>
<a name="assertFinancialAccountAndPaymentMethodInactive-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertFinancialAccountAndPaymentMethodInactive</h4>
<pre>public&nbsp;void&nbsp;assertFinancialAccountAndPaymentMethodInactive(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;financialAccount,
                                                           <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;paymentMethod)</pre>
</li>
</ul>
<a name="addPaymentInOpen--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addPaymentInOpen</h4>
<pre>public&nbsp;<a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/AddPaymentProcess.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions">AddPaymentProcess</a>&nbsp;addPaymentInOpen()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInLinesTab.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions.paymentin"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInWindow.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions.paymentin"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/paymentin/PaymentInTab.html" target="_top">Frames</a></li>
<li><a href="PaymentInTab.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.openbravo.test.integration.erp.modules.client.application.gui.GeneratedTab">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
